> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get template scheduled sending rules

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/scheduledSending

Given a template specified by `templateId`, returns the scheduled sending rules for that template's workflow object.

**Note:** If the template's workflow does not have a scheduled sending object, this method returns a 404.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeworkflowdefinition/gettemplatescheduledsendingdefinition

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `templateId` (string, required) — The ID of the template.

## Response

### 200

Successful response.

- `bulkListId` (string, optional) — The ID of the bulk list. Set this optional value to use scheduled sending with a bulk send operation.
- `resumeDate` (string, optional) — The timestamp of when the envelope is scheduled to be sent in ISO 8601 format. This property is read-only.
- `rules` (list of envelopeDelayRule, optional) — User-specified rules indicating how and when the envelope should be scheduled for sending. Only one rule may be specified.
- `status` (string, optional) — Status of the scheduled sending job. Valid values: - `pending`: The envelope has not yet been sent and the scheduled sending delay has not been initiated. - `started`: The sender has initiated the sending process. The delay has not elapsed, so the envelope has not yet been sent to the first recipient. - `completed`: The delay has elapsed and the envelope has been sent to the first recipient. This property is read-only.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### envelopeDelayRule

A user-specified object that describes the envelope delay. To indicate a relative delay, use `delay`. To indicate the exact datetime the envelope should be sent, use `resumeDate`. Only one of the two properties can be used.

- `delay` (string, optional) — A string timespan representing the duration of the sending delay. The timespan is in the format `d.hh:mm:ss` where `d` is the number of days, `hh` is the number of hours (measured on a 24-hour clock), `mm` is minutes, and `ss` is seconds. The maximum delay is 30 days.
- `resumeDate` (string, optional) — An ISO 8601 formatted datetime string indicating the date and time that the envelope will be sent. The specified datetime must occur in the future. It must not exceed 30 days from the time that the request is made.

## Examples

**Response**

```json
{
  "bulkListId": "sample string 1",
  "resumeDate": "sample string 2",
  "rules": [
    {
      "delay": "sample string 1",
      "resumeDate": "sample string 2"
    }
  ],
  "status": "sample string 3"
}
```